Bug 1476573 - (deepin-mutter) Review Request: deepin-mutter - Base window manager for deepin, fork of gnome mutter
Review Request: deepin-mutter - Base window manager for deepin, fork of gnome...
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert-André Mauchin
Fedora Extras Quality Assurance
:
Depends On: deepin-cogl
Blocks: DeepinDEPackageReview deepin-wm
  Show dependency treegraph
 
Reported: 2017-07-30 08:14 EDT by sensor.wen
Modified: 2017-12-31 20:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zebob.m: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 3 sensor.wen 2017-10-07 11:21:30 EDT
Hi @zebob

Package is ready. Could you review it?
Comment 4 Robert-André Mauchin 2017-10-07 11:32:07 EDT
Should you do like with deepin-cogl, i.e. make the changes done by the Deepin team go upstream?

I'll review it this evening or tomorrow
Comment 5 Robert-André Mauchin 2017-10-07 15:49:05 EDT
 - glib-compile-schemas is not needed on Fedora 24 and above, you should remove it. See https://fedoraproject.org/w/index.php?title=Packaging:Scriptlets&oldid=481889#GSettings_Schema Just leave this:

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

 - This file should be in the -devel subpackage, not the main one:

deepin-mutter.x86_64: W: devel-file-in-non-devel-package /usr/lib64/deepin-mutter/Meta-3.0.gir

   You can fix this with:

%files -f %{name}.lang
%doc README.md
%license LICENSE
%{_bindir}/%{name}
%{_libdir}/lib%{name}.so.*
%{_libdir}/%{name}/
%exclude %{_libdir}/%{name}/Meta-3.0.gir
%{_libexecdir}/%{name}/mutter-restart-helper
%{_datadir}/GConf/gsettings/%{name}-schemas.convert
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gnome-control-center/keybindings/50-%{name}-*.xml
%{_mandir}/man1/%{name}.1.gz

%files devel
%{_includedir}/%{name}/
%{_libdir}/%{name}/Meta-3.0.gir
%{_libdir}/pkgconfig/lib%{name}.pc
%{_libdir}/lib%{name}.so

 - The description line should be split to stay below 80 characters per line:

deepin-mutter-devel.x86_64: E: description-line-too-long C Header files and libraries for base window manager for deepin, fork of gnome mutter.


 - You have lots of files which contains an incorrect FSF address in the header. You should patch those files and report the issue upstream:

deepin-mutter-devel.x86_64: E: incorrect-fsf-address /usr/include/deepin-mutter/meta/meta-backend.h
deepin-mutter-devel.x86_64: E: incorrect-fsf-address /usr/include/deepin-mutter/meta/meta-monitor-manager.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-backend-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-backend.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-barrier-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-cursor-renderer.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-cursor-renderer.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-pointer-constraint.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-pointer-constraint.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-stage.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/meta-stage.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/dbus-utils.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/dbus-utils.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-backend-native-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-backend-native.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-backend-native.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-barrier-native.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-barrier-native.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-cursor-renderer-native.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-cursor-renderer-native.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-input-settings-native.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-launcher.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-launcher.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/native/meta-monitor-manager-kms.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/meta-backend-x11.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/meta-backend-x11.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/meta-barrier-x11.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/meta-barrier-x11.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/meta-cursor-renderer-x11.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/meta-cursor-renderer-x11.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/meta-input-settings-x11.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/nested/meta-cursor-renderer-x11-nested.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/backends/x11/nested/meta-cursor-renderer-x11-nested.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/compositor/meta-shaped-texture-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/compositor/meta-surface-actor-wayland.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/compositor/meta-surface-actor-wayland.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/compositor/meta-surface-actor-x11.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/compositor/meta-surface-actor-x11.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/core/meta-accel-parse.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/core/meta-accel-parse.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/core/meta-border.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/core/meta-border.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/core/meta-gesture-tracker-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/core/meta-gesture-tracker.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/core/util-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/meta/meta-backend.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/meta/meta-monitor-manager.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-pointer-confinement-wayland.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-pointer-confinement-wayland.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-pointer-lock-wayland.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-pointer-lock-wayland.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-buffer.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-buffer.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-data-device-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-keyboard.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-keyboard.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-outputs.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-outputs.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-pointer-constraints.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-pointer-constraints.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-pointer-gesture-pinch.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-pointer-gesture-swipe.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-pointer-gestures.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-region.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-region.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-seat.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-seat.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-surface.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-surface.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-touch.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland-types.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-wayland.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-window-wayland.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-window-wayland.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-xwayland-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-xwayland-selection-private.h
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-xwayland.c
deepin-mutter-debugsource.x86_64: E: incorrect-fsf-address /usr/src/debug/deepin-mutter-3.20.21-1.fc28.x86_64/src/wayland/meta-xwayland.h

Something like this would do the trick in %prep:

find . -type f  -print0 | xargs -0 sed -i 's|59 Temple Place - Suite 330|51 Franklin Street, Fifth Floor|'
find . -type f  -print0 | xargs -0 sed -i 's|02111-1307|02110-1301|'
Comment 6 sensor.wen 2017-10-08 06:35:52 EDT
https://koji.fedoraproject.org/koji/taskinfo?taskID=22328492

Fixed, thanks.
Comment 7 Robert-André Mauchin 2017-10-08 07:27:00 EDT
Okay, it seems good, package accepted.
Comment 8 Gwyn Ciesla 2017-10-08 13:58:25 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/deepin-mutter

Note You need to log in before you can comment on or make changes to this bug.